Bug 178587 - /sbin/nash fails to find lodev
/sbin/nash fails to find lodev
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-21 20:27 EST by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.0.21-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 19:07:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jasper O. Hartline 2006-01-21 20:27:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
Using the below function in a script, I've come across this error.

[root@SMP-NODE-0 tmp]# echo findlodev | /sbin/nash --quiet
error opening U\uffff\uffffWVS\uffff\uffff
                      \uffff\uffff-\uffff\uffff\uffff\uffff\ufffft\uffff\uffff\uffff1\uffff\uffff\uffffS\uffffF\uffff\uffff9\uffffu\uffff\uffff\uffff
                                                        [^_\uffff\uffff)\uffff: No such file or directory
[root@SMP-NODE-0 tmp]#

Version-Release number of selected component (if applicable):
mkinitrd-5.0.17-1

How reproducible:
Always

Steps to Reproduce:
1. echo findlodev | /sbin/nash --quiet
2. Get the errors.
3. ls -l /dev/loop* shows loop back devices.
  

Actual Results:  Kadischi crashes. Kadischi needs a loopback device.
/sbin/nash doesn't like something, don't know what.

Expected Results:  /sbin/nash should return /dev/loop0

Additional info:

No additional information at this time.
Comment 1 Peter Jones 2006-02-03 19:07:38 EST
findlodev isn't really something nash does anymore, but you've exposed two other
bugs, which are fixed in tomorrow's rawhide.

Note You need to log in before you can comment on or make changes to this bug.